<!DOCTYPE html>

<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <meta name="description" content="DigitalHR- Face Recognition Attendance System For Performing Daily Attendance">
    <meta name="author" content="DigitalHR- Face Recognition Attendance System For Performing Daily Attendance">
    <meta name="keywords"
          content="attendance, HR, facial recognition, daily attendance, check in, check out, admin panel, flutter app">

    <title>Digital HR - Password Reset</title>

    <!-- Fonts -->
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Roboto:wght@300;400;500;700;900&display=swap" rel="stylesheet">
    <!-- End fonts -->

    <!-- core:css -->
    <link rel="stylesheet" href="{{ asset('admin/assets/vendors/core/core.css')}}">
    <!-- endinject -->

    <!-- inject:css -->
    <link rel="stylesheet" href="{{ asset('admin/assets/fonts/feather-font/css/iconfont.css')}}">
    <link rel="stylesheet" href="{{ asset('admin/assets/vendors/flag-icon-css/css/flag-icon.min.css')}}">
    <!-- endinject -->

    <!-- Layout styles -->
    <link rel="stylesheet" href="{{ asset('admin/assets/css/style.css')}}">
    <!-- End layout styles -->

    <link rel="shortcut icon" href="{{ asset('admin/assets/images/favicon.png')}}"/>
</head>
<body>
<div class="main-wrapper">
    @include('sweetalert::alert', ['cdn' => "https://cdn.jsdelivr.net/npm/sweetalert2@9"])
    <div class="page-wrapper full-page">
        <div class="page-content d-flex align-items-center justify-content-center">
            <div class="row w-100 mx-0 auth-page">
                <div class="col-md-8 col-xl-5 mx-auto">
                    <div class="card p-5 text-center">
                        <div class="d-inline-block">
                            @if($_companyDetail && $_companyDetail->image)
                                <img class="w-25 rounded" src="{{asset($_companyDetail->image_path)}}">
                            @else
                                <img class="w-25 rounded" src="{{asset('admin/assets/logo.png')}}">
                            @endif
                        </div>
                        <div class="auth-form-wrapper p-5 pt-4 pb-0">
                            <h3><a href="https://cninfotech.com/" class="noble-ui-logo d-block mb-2" target="_blank">Digital <span> HR</span></a></h3>
                            <h5 class="text-muted fw-normal mb-4">Otp Code</h5>
                            @if ($errors->has('login_error'))
                                <span class="text-danger">
                                            <strong>{{ $errors->first('login_error') }}</strong>
                                        </span>
                            @endif
                            <form class="forms-sample" action="{{route('admin.updatePassword' , $unique_code)}}" method="POST">
                                @csrf
                                <div class="mb-3">
                                    <label for="password" class="form-label">Password</label>
                                    <input type="password" id="password" name="password" required
                                           class="form-control @error('password') is-invalid @enderror"
                                           autocomplete="current-password">
                                    @if ($errors->has('password'))
                                        <span class="text-danger">
                                                    <strong>{{ $errors->first('password') }}</strong>
                                                </span>
                                    @endif
                                </div>
                                <div class="mb-3">
                                    <label for="password_confirmation" class="form-label">Confirm Password</label>
                                    <input type="password" id="password_confirmation" name="password_confirmation" required
                                           class="form-control @error('password_confirmation') is-invalid @enderror"
                                           autocomplete="current-password_confirmation">
                                    @if ($errors->has('password_confirmation'))
                                        <span class="text-danger">
                                                    <strong>{{ $errors->first('password_confirmation') }}</strong>
                                                </span>
                                    @endif
                                </div>
                                <div>
                                    <button type="submit" class="btn btn-primary me-2 mb-2 mb-md-0 text-white">
                                        Reset Password
                                    </button>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>

        </div>
    </div>
</div>

<!-- core:js -->
<script src="{{ asset('admin/assets/vendors/core/core.js')}}"></script>
<!-- endinject -->

<!-- inject:js -->
<script src="{{ asset('admin/assets/vendors/feather-icons/feather.min.js')}}"></script>
<script src="{{ asset('admin/assets/js/template.js')}}"></script>
<!-- endinject -->

</body>
</html>
